mainmenu "RT-Thread Project Configuration"

config BSP_DIR
    string
    option env="BSP_ROOT"
    default "."

config RTT_DIR
    string
    option env="RTT_ROOT"
    default "../../.."

source "$RTT_DIR/Kconfig"

config BSP_RK3568
    bool
    select ARCH_ARMV8
    select ARCH_ARM_CORTEX_A
    select RT_USING_COMPONENTS_INIT
    select RT_USING_USER_MAIN
    select RT_USING_FPU
    default y

config ARCH_ARMV8
    bool

config RT_USING_FPU
    bool

source "$BSP_DIR/board/Kconfig"
source "$BSP_DIR/driver/Kconfig"
source "$BSP_DIR/tests/Kconfig"
source "$RTT_DIR/third_party/Kconfig"
